Bug 237430 - multimedia/cx88: Update to 1.5.3
Summary: multimedia/cx88: Update to 1.5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason A. Harmening
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2019-04-21 04:33 UTC by Jason A. Harmening
Modified: 2019-05-01 14:51 UTC (History)
2 users (show)

See Also:
jason.harmening: maintainer-feedback+
koobs: merge-quarterly?


Attachments
proposed patch (793 bytes, text/plain)
2019-04-21 04:33 UTC, Jason A. Harmening
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jason A. Harmening freebsd_committer 2019-04-21 04:33:51 UTC
Created attachment 203851 [details]
proposed patch

--fix build on HEAD with latest clang-8.0
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-04-21 05:01:41 UTC
@Jason Do you have a commit bit? Please also confirm if/that the change passes QA (portlint, poudriere in particular)
Comment 2 jason.harmening 2019-04-21 05:23:09 UTC
(In reply to Kubilay Kocak from comment #1)

Only a src commit bit, not ports.   I forgot to log out of bugzilla with my freebsd.org email and log back in w/ my gmail adddress, so that's why it looks like a committer/non-maintainer update.

It does pass portlint and local testing on 12-stable and 13-current amd64 (no poudriere as my zfs pool is almost out of space).
Comment 3 Steve Wills freebsd_committer 2019-04-22 19:31:44 UTC
Any committer is able to commit to any svn repo, we just ask that those without bits for the particular repo get review from someone with a bit in that repo. Also, you should change the maintainer address on your ports to your @FreeBSD.org address, regardless of commit bit status.

So, this looks fine to me, please commit.
Comment 4 commit-hook freebsd_committer 2019-04-28 09:04:12 UTC
A commit references this bug:

Author: jah
Date: Sun Apr 28 09:03:40 UTC 2019
New revision: 500299
URL: https://svnweb.freebsd.org/changeset/ports/500299

Log:
  multimedia/cx88: update to 1.5.3; fixes build with clang 8.0

  While here, update maintainer email

  PR:		237430
  Approved by:	swills

Changes:
  head/multimedia/cx88/Makefile
  head/multimedia/cx88/distinfo
Comment 5 Steve Wills freebsd_committer 2019-04-30 17:53:33 UTC
If there's nothing left to do here, please close.